{
  "schema_version": "1.4.0",
  "id": "GHSA-66r5-q794-943w",
  "modified": "2022-05-03T03:13:15Z",
  "published": "2022-05-03T03:13:15Z",
  "aliases": [
    "CVE-2004-1154"
  ],
  "details": "Integer overflow in the Samba daemon (smbd) in Samba 2.x and 3.0.x through 3.0.9 allows remote authenticated users to cause a denial of service (application crash) and possibly execute arbitrary code via a Samba request with a large number of security descriptors that triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2004-1154"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/18519"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10236"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A1459"
    },
    {
      "type": "WEB",
      "url": "https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A642"
    },
    {
      "type": "WEB",
      "url": "http://lists.apple.com/archives/security-announce/2005/Mar/msg00000.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/13453"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-101643-1"
    },
    {
      "type": "WEB",
      "url": "http://sunsolve.sun.com/search/document.do?assetkey=1-26-57730-1"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2005/dsa-701"
    },
    {
      "type": "WEB",
      "url": "http://www.idefense.com/application/poi/display?id=165&type=vulnerabilities"
    },
    {
      "type": "WEB",
      "url": "http://www.kb.cert.org/vuls/id/226184"
    },
    {
      "type": "WEB",
      "url": "http://www.novell.com/linux/security/advisories/2004_45_samba.html"
    },
    {
      "type": "WEB",
      "url": "http://www.redhat.com/support/errata/RHSA-2005-020.html"
    },
    {
      "type": "WEB",
      "url": "http://www.samba.org/samba/security/CAN-2004-1154.html"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/11973"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2005-01-10T05:00:00Z"
  }
}